﻿using UnityEngine;
using RaftModLoader;
using System;
using System.Collections.Generic;
using Steamworks;
using HarmonyLib;
public class TeleportToOthers : Mod
{
    public static Raft_Network network;
  
    public void Start()
    {
        Debug.Log("Mod TeleportToOthers has been loaded!");
      
    }

    [ConsoleCommand(name: "teleport" , docs: "teleport <user>")]
    public static void Teleport (string[] args)
    {
        var joinedArgs = string.Join(" ", args);
        
        var players = FindObjectsOfType<Network_Player>();

        foreach (var player in players)
        {

            string[] names = player.name.Split(',');
            string trimmed = names[1].Trim();
       
            if (string.Equals(trimmed, joinedArgs, StringComparison.InvariantCultureIgnoreCase))
            
            {
                RAPI.GetLocalPlayer().transform.position = player.transform.position + new Vector3(0, 1, 0);
            }
           

        }

    }
    [ConsoleCommand(name: "tp", docs: "tp <user>")]
    public static void Tp(string[] args)
    {
        var joinedArgs = string.Join(" ", args);

        var players = FindObjectsOfType<Network_Player>();

        foreach (var player in players)
        {

            string[] names = player.name.Split(',');
            string trimmed = names[1].Trim();

            if (string.Equals(trimmed, joinedArgs, StringComparison.InvariantCultureIgnoreCase))

            {
                RAPI.GetLocalPlayer().transform.position = player.transform.position + new Vector3(0, 1, 0);
            }


        }

    }

    public void OnModUnload()
    {
        Debug.Log("Mod TeleportToOthers has been unloaded!");
    }
}

